Bug 1920112 - Review Request: rubygem-mixlib-log - A gem that provides a simple mixin for log functionality
Summary: Review Request: rubygem-mixlib-log - A gem that provides a simple mixin for l...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Phil Dibowitz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1933464
TreeView+ depends on / blocked
 
Reported: 2021-01-25 16:51 UTC by Davide Cavalca
Modified: 2021-03-19 20:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-11 23:37:10 UTC
Type: ---
Embargoed:
phil: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2021-01-25 16:51:05 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/rubygem-mixlib-log/rubygem-mixlib-log.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/rubygem-mixlib-log/rubygem-mixlib-log-3.0.9-1.fc34.src.rpm

Description:
A gem that provides a simple mixin for log functionality.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2021-01-25 16:51:07 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=60474029

Comment 2 Davide Cavalca 2021-01-25 16:52:27 UTC
Note: this package will need to be unretired. I had filed https://pagure.io/releng/issue/9957 for that before realizing it needed to go through review again. I've updated it here as the retired version doesn't build anymore, and didn't seem to be worthwhile fixing.

Comment 3 Phil Dibowitz 2021-03-02 05:17:02 UTC
Looks good, APPROVED. The lint errors are false-positive spelling errors.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://src.fedoraproject.org/rpms/rubygem-mixlib-log
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/Naming/#_conflicting_package_names


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache License 2.0". Detailed output of licensecheck in
     /home/vagrant/1920112-rubygem-mixlib-log/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[X]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[ ]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: When checking ruby code, install the ruby plugin.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-mixlib-log-3.0.9-1.fc35.noarch.rpm
          rubygem-mixlib-log-doc-3.0.9-1.fc35.noarch.rpm
          rubygem-mixlib-log-3.0.9-1.fc35.src.rpm
rubygem-mixlib-log.noarch: W: spelling-error Summary(en_US) mixin -> mixing, mix in, mix-in
rubygem-mixlib-log.noarch: W: spelling-error %description -l en_US mixin -> mixing, mix in, mix-in
rubygem-mixlib-log.noarch: W: no-documentation
rubygem-mixlib-log.src: W: spelling-error Summary(en_US) mixin -> mixing, mix in, mix-in
rubygem-mixlib-log.src: W: spelling-error %description -l en_US mixin -> mixing, mix in, mix-in
rubygem-mixlib-log.src: W: invalid-url Source1: rubygem-mixlib-log-3.0.9-specs.tar.gz
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
rubygem-mixlib-log.noarch: W: spelling-error Summary(en_US) mixin -> mixing, mix in, mix-in
rubygem-mixlib-log.noarch: W: spelling-error %description -l en_US mixin -> mixing, mix in, mix-in
rubygem-mixlib-log.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Source checksums
----------------
https://rubygems.org/gems/mixlib-log-3.0.9.gem :
  CHECKSUM(SHA256) this package     : fd6ca2c8075f8085065dffcee0805c5b3f88d643d5c954acdc3282f463a9ad58
  CHECKSUM(SHA256) upstream package : fd6ca2c8075f8085065dffcee0805c5b3f88d643d5c954acdc3282f463a9ad58


Requires
--------
rubygem-mixlib-log (rpmlib, GLIBC filtered):
    ruby(rubygems)

rubygem-mixlib-log-doc (rpmlib, GLIBC filtered):
    rubygem-mixlib-log



Provides
--------
rubygem-mixlib-log:
    rubygem(mixlib-log)
    rubygem-mixlib-log

rubygem-mixlib-log-doc:
    rubygem-mixlib-log-doc



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1920112
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: SugarActivity, C/C++, Ocaml, Java, R, Perl, fonts, PHP, Python, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 Davide Cavalca 2021-03-02 05:27:06 UTC
Thanks! Reopened https://pagure.io/releng/issue/9957 to get it unretired

Comment 5 Fedora Update System 2021-03-02 16:08:58 UTC
FEDORA-2021-aa30d4725a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-aa30d4725a

Comment 6 Fedora Update System 2021-03-03 16:07:15 UTC
FEDORA-2021-faebc6480a has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-faebc6480a

Comment 7 Fedora Update System 2021-03-03 16:16:31 UTC
FEDORA-2021-4a266cf1a3 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-4a266cf1a3

Comment 8 Fedora Update System 2021-03-03 16:26:03 UTC
FEDORA-EPEL-2021-040d23010a has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-040d23010a

Comment 9 Fedora Update System 2021-03-03 23:04:36 UTC
FEDORA-2021-aa30d4725a has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-aa30d4725a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-aa30d4725a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-03-03 23:24:47 UTC
FEDORA-EPEL-2021-040d23010a has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-040d23010a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-03-03 23:52:50 UTC
FEDORA-2021-4a266cf1a3 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-4a266cf1a3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-4a266cf1a3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-03-04 16:54:37 UTC
FEDORA-2021-faebc6480a has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-faebc6480a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-faebc6480a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-03-11 23:37:10 UTC
FEDORA-2021-4a266cf1a3 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-03-12 00:06:36 UTC
FEDORA-2021-aa30d4725a has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-03-13 21:40:11 UTC
FEDORA-EPEL-2021-040d23010a has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-03-19 17:45:01 UTC
FEDORA-2021-faebc6480a has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-03-19 20:00:57 UTC
FEDORA-2021-faebc6480a has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.